Send an event

Use this endpoint to send an event from your server or use javascript events to call the API.

Body Params

Specify device_id. The device_id is the mobile specific (iOS or Android) device identifier to uniquely identify the mobile device.

string

Specify the customer ID. You must specify information in either this field or atleast in one of the following fields: event, device_id, email, or group_id. These fields are described below.

string
required

Specify the name of the event. For example identify, view (product view), add_to_cart, remove_from_cart, checkout, purchase, search, your_custom_event_name (custom event) etc. You must atleast specify this value, or one or more of the following fields: customer_id/device_id/email.

📘 Ensure that the event name does not contain periods (.), whitespaces, is not a numeric value, and contains not more than 64 characters.

string

Specify the type of the device.

string

Specify the token of the device.

📘 If you use the event API to identify a user from a mobile app, ensure that you also include device_id and device_token parameters in your API call. However, we recommend that you use our SDK to identify users on a mobile app. For more information, see Track events on your Android app and Track events on your iOS app.

string

Specify the UUID of the device. You must atleast specify this value, or one or more of the following fields: event/customer_id/email.

📘 If you use the event API to identify a user from a mobile app, ensure that you also include device_id and device_token parameters in your API call. However, we recommend that you use our SDK to identify users on a mobile app. For more information, see Track events on your Android app and Track events on your iOS app.

string

Sepcify the advertising identifier (idfa) on the device.

string

Specify the identfier for vendor (idfv) on the device.

string

Specify the manufacturer of the device.

string

Specify the OS name.

string

Specify the carrier on the mobile device.

string

Specify the IP address of the device.

string

Specify the user's email address. For example, [email protected]. You must atleast specify this value, or one or more of the following fields: event/device_id/customer_id.

string

Specify the latitude of the user's location.

string

Specify the longitude of the user's location.

string

Specify a unique identifier of the event in the format 1234abcd-efghijkj-1234kfjadslk-34iu123. For reference on the UUID format, see RFC 4122. Ensure that the event_uuid that you specify is unique. This is an optional field and you can leave this field blank.

string
subscription_groups
array of objects

Specify the user's subscription preferences.

subscription_groups
Responses

413

You can upload upto 100 products in an api call. The server is refusing to process a request because the request payload is larger than the server is willing or able to process.

422

Unprocessable Entity - Some/all of the products have invalid data, please check the response for more information on.

429

Rate limit exceeded - Too many requests

500

Internal Server Error - Please contact blueshift for more information

502

Service unavailable, please retry - Bad Gateway, re-try with exponential backoff

503

Service unavailable, please retry - Service Unavailable, re-try with exponential backoff

504

Service unavailable, please retry - Gateway Timeout, please re-try with exponential backoff

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json